
Lookup Editor - Feature #1084

Feature # 1080 (Closed): Display selector for fields with a defined type

Time selection dialog for time fields

10/27/2015 04:20 AM - Luke Murphey

Status: Closed Start date: 10/27/2015

Priority: Normal Due date:  

Assignee: Luke Murphey % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 2.3   

Description

History

#1 - 10/27/2015 04:59 AM - Luke Murphey

Using smalot/bootstrap-datetimepicker 2.3.5:

https://github.com/smalot/bootstrap-datetimepicker/releases

#2 - 10/27/2015 06:33 AM - Luke Murphey

Could use this API for date editing: http://docs.handsontable.com/0.19.0/tutorial-cell-editor.html

#3 - 10/28/2015 06:00 AM - Luke Murphey

- Target version changed from 2.0 to Plus_2

#4 - 10/30/2015 03:02 AM - Luke Murphey

Some examples of a custom cell editor:

https://libraries.io/bower/Handsontable-select2-editor

http://jsfiddle.net/6SgF4/

#5 - 03/16/2016 07:27 PM - Luke Murphey

- Target version changed from Plus_2 to Plus_4

#6 - 06/21/2016 10:08 PM - Luke Murphey

- Target version changed from Plus_4 to Plus_2

#7 - 06/21/2016 10:09 PM - Luke Murphey

- Target version changed from Plus_2 to 2.3

#8 - 06/21/2016 10:31 PM - Luke Murphey

See http://momentjs.com/docs/#/parsing/string/

#9 - 06/21/2016 10:33 PM - Luke Murphey

Need to figure out if the 'time' format is timestamp or date. See 

https://docs.mongodb.com/manual/reference/mongodb-extended-json/#bson-data-types-and-associated-representations

#10 - 06/21/2016 10:44 PM - Luke Murphey

05/03/2024 1/2

https://github.com/smalot/bootstrap-datetimepicker/releases
http://docs.handsontable.com/0.19.0/tutorial-cell-editor.html
https://libraries.io/bower/Handsontable-select2-editor
http://jsfiddle.net/6SgF4/
http://momentjs.com/docs/#/parsing/string/
https://docs.mongodb.com/manual/reference/mongodb-extended-json/#bson-data-types-and-associated-representations


Time

We accept epoch time either as a string or as a number. If it fails to convert, we'll insert the string version.

#11 - 06/23/2016 05:38 PM - Luke Murphey

It turns out that the dates need to be a number.

#12 - 06/23/2016 06:00 PM - Luke Murphey

Might be able to convert this via afterChange()

http://docs.handsontable.com/0.15.0/Hooks.html#event:afterChange

#13 - 06/23/2016 10:16 PM - Luke Murphey

Might need to do this in makeRowJSON()

#14 - 06/23/2016 10:22 PM - Luke Murphey

This would make a good UI for selecting datetimes: https://chmln.github.io/flatpickr/

#15 - 06/23/2016 11:25 PM - Luke Murphey

Handsontable.editors.TextEditor.prepare() doesn't get called when rendering existing rows

Could do the transformation in the normal lookup renderer but this would mean pulling out the moment.js time renderer (and its time format

correction)

#16 - 06/24/2016 02:33 AM - Luke Murphey

http://jsfiddle.net/p7KwM/

#17 - 06/24/2016 05:56 PM - Luke Murphey

1. Use basic renderer

1. Doesn't do time format correction

2. Editing shows original value (the number)

2. Use custom time renderer

1. Original values are rendered, prepare doesn't seem to get called on the initial load

3. Use time renderer and renderer override (http://jsfiddle.net/p7KwM/)

#18 - 06/24/2016 06:52 PM - Luke Murphey

I have option two is working, but the format is still a number when editing.

#19 - 06/24/2016 07:48 PM - Luke Murphey

Calling this.handsontable.validateCells(); does change the format. However, it also resaves the rows.

#20 - 06/24/2016 08:12 PM - Luke Murphey

- Status changed from New to Closed

- % Done changed from 0 to 100
